/*
** BeNES - Nintendo Entertaiment System Emulator for BeOS
**
** * 1999 by makoto yamagata
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef NESPPUINTERFACE_H_DEFINED
#define NESPPUINTERFACE_H_DEFINED

class NesPPUInterface {
public:
	virtual ~NesPPUInterface() { ; }
	virtual bool isDrawing() = 0;
	virtual void setMirrorType(int mirror) = 0;
	virtual void memmove(size_t offset, uchar* mem, size_t size) = 0;
};

#endif
